##
## Copyright 2009-20 Williams Technologies Limited.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
## Kajabity is a trademark of Williams Technologies Limited.
##
## http://www.kajabity.com
##

#---------------------------------# 
#      general configuration      # 
#---------------------------------# 

# tell appveyor to use MSBuild 15.0 or higher
image: Visual Studio 2019
 
# version format 
version: 0.3-{build}

# branches to build
#branches

 
# Do not build on tags (GitHub only)
# This avoids the infinite build loop as Deploy to GitHub is set to create a tag each time.
skip_tags: true 

#---------------------------------# 
#    environment configuration    # 
#---------------------------------# 
 
# scripts that are called at very beginning, before repo cloning 
init:
- git config --global core.autocrlf true

# Automatically register private account and/or project AppVeyor NuGet feeds.
nuget:
    account_feed: true
    project_feed: true
    disable_publish_on_pr: true     # disable publishing of .nupkg artifacts to
                                    # account/project feeds for pull request builds

#---------------------------------# 
#       build configuration       # 
#---------------------------------# 
 
# build platform, i.e. x86, x64, Any CPU. This setting is optional. 
# platform:

# build Configuration, i.e. Debug, Release, etc.
before_build:
    - cmd: dotnet restore "Kajabity.Tools.Java.sln"

# build Configuration, i.e. Debug, Release, etc.
configuration: Release

build:
    publish_nuget: true             # package projects with .nuspec files and push to artifacts 
    publish_nuget_symbols: true     # generate and publish NuGet symbol packages 
    include_nuget_references: true  # add -IncludeReferencedProjects option while packaging NuGet artifacts 
 
# MSBuild verbosity level - one of quiet|minimal|normal|detailed
    verbosity: normal

#---------------------------------# 
#      artifacts configuration    # 
#---------------------------------# 

# Artifacts picked up by nuget deployment and includes all DLL variants for each .NET version.
#artifacts:
#    - path: Kajabity.Tools.Java\bin\$(configuration)\Kajabity.Tools.Java.dll

#---------------------------------# 
#     deployment configuration    # 
#---------------------------------# 

# providers: Local, FTP, WebDeploy, AzureCS, AzureBlob, S3, NuGet, Environment 
# provider names are case-sensitive! 

deploy:
    # Secure tokens created using https://ci.appveyor.com/tools/encrypt

    # Deploying to NuGet feed - using API Key from NuGet.org.
  - provider: NuGet
    api_key:
        secure: /krWqaRScBfc2rXdSaHGIW9wZF8c6SgQO1rZnBSrQ4yZHNDjiarIjrm+E5rmO6+p
    skip_symbols: true
    artifact: /.*\.nupkg/
    on:
        #appveyor_repo_tag: true        # deploy on tag push only - removed or won't deploy at all.
        branch: master                 # release from master branch only

    # Deploy to GitHub Releases 
  - provider: GitHub 
    release: kajabity.tools.csv-v$(appveyor_build_version)
    description: 'Kajabity.Tools.Java Release v$(appveyor_build_version)'
    auth_token:
        secure: c7cNIShFSFMjEh0bQDEHNdKOGQ67Us4Eobec0A/W4ZieZHkBhGRfj2VOCwPUMHQP
    draft: false
    prerelease: false
    #appveyor_repo_tag: true        # deploy on tag push only
